%define	module	amqplib
%define name	python-%{module}
%define version 1.0.2
%define release %mkrel 4

Summary:	Python AMQP (Advanced Message Queuing Protocol) client library
Name:		%{name}
Version:	%{version}
Release:	%{release}
Source0:	https://pypi.python.org/packages/source/a/amqplib/%{module}-%{version}.tgz
License:	LGPLv2.1
Group:		Development/Python
Url:		http://code.google.com/p/py-amqplib/
BuildArch:	noarch
BuildRequires:	python-devel
BuildRequires:  python-setuptools
BuildRequires:  python-nose

%description
amqplib is a Python client library that supports the 0-8 AMQP
(Advanced Message-Queuing Protocol) spec.

%package -n python3-%{module}
Summary:        Client library for AMQP
Group:		Development/Python
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
BuildRequires:  python3-nose

%description -n python3-%{module}
Client library for AMQP (Advanced Message Queuing Protocol)

Supports the 0-8 AMQP spec, and has been tested with RabbitMQ
and Python's 2.4 up to 3.2

%files
%defattr(-,root,root,-)
%doc CHANGES INSTALL LICENSE README TODO docs/ 
%{python_sitelib}/%{module}/
%{python_sitelib}/%{module}*.egg-info


%files -n python3-%{module}
%doc CHANGES INSTALL LICENSE README TODO
%{python3_sitelib}/%{module}/
%{python3_sitelib}/%{module}*.egg-info

#--------------------------------------------------------------------

%prep
%setup -q -n %{module}-%{version}
cp -a . %{py3dir}

%build
%{__python} setup.py build

pushd %{py3dir}
%{__python3} setup.py build
popd


%install
%{__python} setup.py install --skip-build --root %{buildroot}

pushd %{py3dir}
%{__python3} setup.py install --skip-build --root %{buildroot}
popd

%check
cd tests/client_0_8
nosetests run_all.py

pushd %{py3dir}
cd tests/client_0_8
nosetests-%{python3_version} run_all.py
popd



%changelog
* Tue Oct 22 2013 umeabot <umeabot> 1.0.2-4.mga4
+ Revision: 546136
- Mageia 4 Mass Rebuild

* Thu Oct 17 2013 philippem <philippem> 1.0.2-3.mga4
+ Revision: 502201
- fix file list, add Python 3

  + pterjan <pterjan>
    - Rebuild to add different pythonegg provides for python 2 and 3

* Sun Aug 18 2013 joequant <joequant> 1.0.2-1.mga4
+ Revision: 467532
- update to 1.0.2

* Sun Jan 13 2013 umeabot <umeabot> 1.0.0-2.mga3
+ Revision: 378454
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Nov 03 2012 neoclust <neoclust> 1.0.0-1.mga3
+ Revision: 313356
- imported package python-amqplib


* Fri Aug 05 2011 Lev Givon <lev@mandriva.org> 1.0.0-1mdv2012.0
+ Revision: 693343
- Update to 1.0.0.

* Sun Nov 07 2010 Lev Givon <lev@mandriva.org> 0.6.1-1mdv2011.0
+ Revision: 594848
- import python-amqplib


